5 ISSUES OF PILOT MAGAZINE FOR £5 CLICK HERE

Flight Simulator 2004 - Compatibility with Third Party Software

PUBLISHED: 00:57 02 August 2003 | UPDATED: 13:45 10 October 2012

Compatibility issues are emerging now that FS2004 has been shipped to UK customers...



Now that Flight Simulator 2004 "A Century Of Flight", has been shipped to customers in the UK, there are compatibility problems beginning to emerge with some of the add-on software used in the previous flight sim (FS2002). The product development team at "Just Flight" have tested several add-on’s and there are small changes user’s need to be aware of to make the programs work in FS2004. Read their press release below.

Whenever a new version of Flight Simulator takes off, Just Flight’s customers ask which of their popular expansions will be compatible. As ever, Just Flight is well ahead of the field and their product experts have been working hard checking out what works in FS2004. They’re very pleased with their discoveries and to make it easy for customers to find out exactly what is compatible they’ve created a new section on their website www.justflight.com that deals comprehensively with FS2004 compatibility. No more speculation – flight sim fans can simply stop by Just Flight’s site and go through the simple steps to find out which products are compatible and get them working in the new version of Flight Simulator.

Most Read

Most Read

Latest from the Pilot